Main Page Widgets Namespaces Book

# fontdescription.h File Reference

## Namespaces
namespace | Glib
namespace | Pango
## Enumerations
enum | FontMask { FONT_MASK_FAMILY = 1 << 0, FONT_MASK_STYLE = 1 << 1, FONT_MASK_VARIANT = 1 << 2, FONT_MASK_WEIGHT = 1 << 3, FONT_MASK_STRETCH = 1 << 4, FONT_MASK_SIZE = 1 << 5 }
enum | Stretch { STRETCH_ULTRA_CONDENSED, STRETCH_EXTRA_CONDENSED, STRETCH_CONDENSED, STRETCH_SEMI_CONDENSED, STRETCH_NORMAL, STRETCH_SEMI_EXPANDED, STRETCH_EXPANDED, STRETCH_EXTRA_EXPANDED, STRETCH_ULTRA_EXPANDED }
enum | Style { STYLE_NORMAL, STYLE_OBLIQUE, STYLE_ITALIC }
enum | Variant { VARIANT_NORMAL, VARIANT_SMALL_CAPS }
enum | Weight { WEIGHT_ULTRALIGHT = 200, WEIGHT_LIGHT = 300, WEIGHT_NORMAL = 400, WEIGHT_BOLD = 700, WEIGHT_ULTRABOLD = 800, WEIGHT_HEAVY = 900 }
## Functions
FontMask | operator& (FontMask lhs, FontMask rhs)
FontMask& | operator&= (FontMask& lhs, FontMask rhs)
FontMask | operator^ (FontMask lhs, FontMask rhs)
FontMask& | operator^= (FontMask& lhs, FontMask rhs)
FontMask | operator| (FontMask lhs, FontMask rhs)
FontMask& | operator|= (FontMask& lhs, FontMask rhs)
FontMask | operator~ (FontMask flags)